=== modified file 'NEWS'
--- NEWS	2010-08-17 06:45:33 +0000
+++ NEWS	2010-08-18 07:45:14 +0000
@@ -60,8 +60,8 @@
 * CommitBuilder now uses the committer instead of _config.username to generate
   the revision-id.  (Aaron Bentley, #614404)
 
-* Cope with Microsoft FTP server that returns reply '250 Directory
-  created' when mkdir succeeds.  (Martin Pool, #224373)
+* Cope with Microsoft FTP Server and VSFTPd that return reply '250
+  Directory created' when mkdir succeeds.  (Martin Pool, #224373)
 
 * Decrease peak memory during ``bzr send``. The old code was caching all
   text content and all inventory strings for all revisions before

=== modified file 'doc/developers/ppa.txt'
--- doc/developers/ppa.txt	2010-08-19 11:23:42 +0000
+++ doc/developers/ppa.txt	2010-08-20 05:20:56 +0000
@@ -18,17 +18,15 @@
 <https://launchpad.net/~bzr/+archive>
     Final released versions and updates.
 
+<https://launchpad.net/~bzr/+archive/proposed>
+    Proposed uploads to move into ~bzr, awaiting testing.
+
 <https://launchpad.net/~bzr-beta-ppa/+archive>
     Beta releases.
 
 <https://launchpad.net/~bzr-nightly-ppa/+archive>
     Automatic nightly builds from trunk.
 
-We build packages for every supported Ubuntu release
-<https://wiki.ubuntu.com/Releases>.  Packages need no longer be updated
-when the release passes end-of-life because all users should
-have upgraded by then.  
-
 We build a distinct package for each distrorelease.  
 If you upload a release-specific version, you should add a suffix to the
 package version, e.g. ``bzr.1.3-1~bazaar1~dapper1``.
@@ -51,6 +49,25 @@
 upload again or copy the packages into the release ppa.  That reduces the 
 risk of breaking the main archive from which people get bzr updates.
 
+
+Supported releases
+------------------
+
+We build packages for every supported Ubuntu release
+<https://wiki.ubuntu.com/Releases>.  Packages need no longer be updated
+when the release passes end-of-life because all users should
+have upgraded by then.  
+
+As of August 2010, the following releases are supported:
+
+* Maverick 
+* Lucid LTS
+* Karmic
+* Jaunty (support ends October 2010)
+* Hardy LTS
+* Dapper LTS (supported but no longer updated for new releases)
+
+
 Preconditions
 -------------
 

=== modified file 'doc/en/index.txt'
--- doc/en/index.txt	2010-03-04 04:15:18 +0000
+++ doc/en/index.txt	2010-08-18 07:25:22 +0000
@@ -10,7 +10,7 @@
 .. toctree::
    :maxdepth: 1
 
-   whats-new/whats-new-in-2.2
+   whats-new/whats-new-in-2.3
    user-guide/index
    tutorials/index
    quick-reference/index

=== added file 'doc/en/whats-new/whats-new-in-2.3.txt'
--- doc/en/whats-new/whats-new-in-2.3.txt	1970-01-01 00:00:00 +0000
+++ doc/en/whats-new/whats-new-in-2.3.txt	2010-08-18 07:25:22 +0000
@@ -0,0 +1,69 @@
+*************************
+What's New in Bazaar 2.3?
+*************************
+
+Bazaar 2.3 is still under development, and will be released in February
+2011.  This document accumulates a high level summary of what's changed.
+See the
+:doc:`../release-notes/index` for a full list.
+
+Users are encouraged to upgrade from the other stable series.  This
+document outlines the improvements in Bazaar 2.2 vs Bazaar 2.1. As well as
+summarizing improvements made to the core product, it highlights
+enhancements within the broader Bazaar world of potential interest to
+those upgrading.
+
+Bazaar 2.2.0 is fully compatible both locally and on the network with 2.0
+2.1, and 2.2, and can read and write repositories generated by all
+previous versions.
+
+Launchpad integration
+*********************
+
+* The ``lp:`` prefix will now use your known username (from
+  ``bzr launchpad-login``) to expand ``~`` to your username.  For example:
+  ``bzr launchpad-login user && bzr push lp:~/project/branch`` will now
+  push to ``lp:~user/project/branch``.  (John Arbash Meinel)
+
+Performance improvements
+************************
+
+* ``bzr send`` uses less memory.  
+  (John Arbash Meinel, #614576)
+
+* Inventory entries now consume less memory (on 32-bit Ubuntu file entries
+  have dropped from 68 bytes to 40, and directory entries from 120 bytes
+  to 48).  This affects most operations, and depending on the size of the
+  tree may substantially improve the speed of operations like ``bzr
+  commit``.  (Andrew Bennetts)
+
+* When building new working trees, default to reading from the repository
+  rather than the source tree unless explicitly requested. (via
+  ``--files-from`` and ``--hardlink`` for ``bzr branch`` and
+  ``bzr checkout``. Generally, 2a format repositories extract
+  content faster than seeking and reading content from another tree,
+  especially in cold-cache situations. (John Arbash Meinel, #607298)
+
+Documentation
+*************
+* A beta version of the documentation is now available in GNU TexInfo
+  format, used by emacs and the standalone ``info`` reader.
+  (Vincent Ladeuil, #219334)
+
+
+Further information
+*******************
+
+For more detailed information on the changes made, see the
+the :doc:`../release-notes/index` for:
+
+* the interim bzr `milestones <https://launchpad.net/bzr/2.3>`_
+* the plugins you use.
+
+For a summary of changes made in earlier releases, see:
+
+* :doc:`whats-new-in-2.1`
+* :doc:`whats-new-in-2.2`
+
+
+.. vim: ft=rst

